%define rname	chan_capi
%define name	asterisk-%{rname}

%define build_ast16	0
%{?_without_ast16:	%global build_ast16 0}
%{?_with_ast16:		%global build_ast16 1}

%define build_ast12	0
%{?_without_ast12:	%global build_ast12 0}
%{?_with_ast12:		%global build_ast12 1}

%define astver 1.4
%define ast ast14
%if %{build_ast16}
%define astver 1.6
%define ast ast16
%else
%if %build_ast12
%define astver 1.2
%define ast ast12
%endif
%endif

%define rversion 1.1.5
%define version	%{rversion}_%{ast}
%define rel	1
%define	subrel	0.moregroups

# Debug (add 'debug' to release if some DEBUG* compiler flag added)
%define debug_flags %(grep -c DEBUG_ /usr/include/asterisk/buildopts.h)
%if %{debug_flags}
%define release  %mkrel %{rel} %{subrel}.debug
%else
%define release  %mkrel %{rel} %{subrel}
%endif

%define libisdn4kver 3.2
%define is_mdv %(test -f /etc/redhat-release && egrep -q 'Mandriva' /etc/redhat-release && echo 1 || echo 0)
%if %{is_mdv}
%define libisdnname	%mklibname isdn4k-utils2
%else
%define libisdnname isdn4k-utils
%endif

Summary:	(CAPI*) chan_capi a Common ISDN API 2.0 implementation for Asterisk/OpenPBX
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.melware.org/ChanCapi
Group:		System/Servers
Source0:	%{rname}-%{rversion}.tar.gz
Patch0:		chan_capi-1.1.5-makefile.patch
Patch1:		chan_capi-1.1.5-moregroups.patch
BuildRequires:	isdn4k-utils-devel
BuildRequires:	asterisk-devel >= %{astver}
Requires:	asterisk >= %{astver}
%if !%{build_ast16}
%if %{build_ast12}
# 1.2
BuildRequires:	asterisk-devel < 1.4
Requires:	asterisk < 1.4
%else
# 1.4
BuildRequires:	asterisk-devel < 1.6
Requires:				asterisk < 1.6
%endif
%endif
Obsoletes: asterisk-chan_capi
Obsoletes: chan_capi
Provides:  chan_capi = %{version}
Provides:  chan_capi-cm = %{version}
Requires:	%{libisdnname} >= %{libisdn4kver}
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
(CAPI*) chan_capi a Common ISDN API 2.0 implementation for Asterisk/OpenPBX.
Provides core ISDN functionality which is not provided by the native Asterisk
isdn4linux channel. 
Reworked, but based on the work of Copyright (C) 2002-2005
Junghanns.NET GmbH Klaus-Peter Junghanns.

%prep
echo "* Building for Asterisk %{astver}"
%setup -q -n %{rname}-%{rversion}
%patch0 -p1 -b .mdk
%patch1 -p1 -b .moregroups

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix file perms
chmod 644 CHANGES INSTALL README
    
%build

make RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE" 

# fix dir perms
find . -type d | xargs chmod 755
# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk/modules

install -m0644 capi.conf %{buildroot}%{_sysconfdir}/asterisk
install -m0755 chan_capi.so %{buildroot}%{_libdir}/asterisk/modules

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README CHANGES capi.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/capi.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_capi.so

%changelog
* Fri Jan 31 2014 Daniel Ferrer <daniel@ipcontact.com.uy> 1.1.5_ast14-1.0.moregroups
- moregroups patch

* Mon Aug 01 2011 Daniel Ferrer <daniel@ipcontact.com.uy> 1.1.5_ast14-1.0
- Update to 1.1.5

* Thu Oct 01 2009 Daniel Ferrer <daniel@ipcontact.com.uy> 1.1.4_ast14-1.0
- Update to 1.1.4

* Thu Oct 01 2009 Daniel Ferrer <daniel@ipcontact.com.uy> 1.1.4_ast14-1.0
- Update to 1.1.4
- Create debug version, if DEBUG* defines found in asterisk/buildopts.h

* Tue Jun 08 2009 Daniel Ferrer <daniel@ipcontact.com.uy> 1.1.2_ast14-1.0
- chan_capi ver 1.1.2, optional compile for 1.6, 1.4 or 1.2
  . asterisk 1.4 (default): no params
  . asterisk 1.6: --with ast16
  . asterisk 1.2: --with ast12

* Tue Jun 03 2008 Daniel Ferrer <daniel@ipcontact.com.uy> 1.1.1-2.0mdv2008.1
- chan_capi version 1.1.1, Asterisk 1.4, Mandriva 2008.1

* Tue Jun 03 2008 Daniel Ferrer <daniel@ipcontact.com.uy> 1.1.1-1.0mdv2007.1
- chan_capi version 1.1.1

* Fri Feb 29 2008 Daniel Ferrer <daniel@teledata.com.uy> 1.0.2-1.0mdv2007.1
- chan_capi version 1.0.2

* Wed Feb 27 2008 Daniel Ferrer <daniel@teledata.com.uy> 1.0.1-1.1.2006mdk
- Fix lib64isdn4k-utils2 dependency

* Fri May 11 2007 Daniel Ferrer <daniel@teledata.com.uy> 1.0.1-1.0.2006mdk
- chan_capi version 1.0.1
- built with asterisk 1.2.14 in Mandriva 2006

* Fri May 11 2007 Daniel Ferrer <daniel@teledata.com.uy> 0.6.3-1.1.2006mdk
- built with asterisk 1.2.4 in Mandriva 2006

* Fri Feb 10 2006 Luis Vazquez <luis@teledata.com.uy> 0.6.3-1.0.102mdk
- chan_capi-cm version 0.6.3
- built with asterisk 1.2.4 in Mandrake10.2/Mandriva 2005

* Fri Jan 27 2006 Luis Vazquez <luis@teledata.com.uy> 0.6.1-1.0.102mdk
- chan_capi-cm version 0.6.1
- built with asterisk 1.2.2 in Mandrake10.2/Mandriva 2005

* Tue Sep 13 2005 Luis Vazquez <luis@teledata.com.uy> 0.6-1.0.102mdk
- Build for chan_capi-cm version 0.6
- Build against Mandrake10.2/Mandriva 2005

* Tue Sep 13 2005 Luis Vazquez <luis@teledata.com.uy> 0.5.4-1.0.101mdk
- Build for chan_capi-cm version 0.5.4
- Compiled against asterisk 1.0.9

* Fri Jul 01 2005 Luis Vazquez <luis@teledata.com.uy> 0.5.3-1.0.101mdk
- first build for chan_capi-cm version 0.5.3
- compiled against asterisk 1.0.9

* Fri Jun 09 2005 Luis Vazquez <luis@teledata.com.uy> 0.3.5-4.3.101mdk
- add patch to fix problem with pipe in kernel >= 2.6.11
- compiled against asterisk 1.0.9

* Thu Jun 09 2005 Luis Vazquez <luis@teledata.com.uy> 0.3.5-4.2.101mdk
- add patch to handle relaxdtmf config option 

* Thu May 04 2005 Luis Vazquez <luis@teledata.com.uy> 0.3.5-4.1.101mdk
- patches changed to compile against asterisk 1.0 stable
- add patch to avoid dummy LISTEN error 

* Thu May 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.5-4mdk
- added a slightly adjusted P1 to make it compile against asterisk HEAD
- also install the rest of the modules, duh!

* Mon Mar 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-3mdk
- use the %%mkrel macro

* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-2mdk
- built for cooker

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-1mdk
- initial mandrake package
